Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1CommandLogin

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1CommandLogin

Record Components:
  `fieldUserName` - The username.
  `fieldPassword` - The password.
  `fieldMetadata` - Extra metadata included with the login request.

All Implemented Interfaces:
  `ProtocolCAIType`, `ProtocolCAIv1Type`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1CommandLogin(com.io7m.cedarbridge.runtime.api.CBString fieldUserName, com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldMetadata) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolCAIv1Type
A request to log in.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1CommandLogin(com.io7m.cedarbridge.runtime.api.CBString fieldUserName, com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldMetadata)`
  Creates an instance of a `CAI1CommandLogin` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1CommandLogin`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1CommandLogin.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldMetadata()`
  Returns the value of the `fieldMetadata` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldPassword()`
  Returns the value of the `fieldPassword` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldUserName()`
  Returns the value of the `fieldUserName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandLogin $x)`
  Serialize a value of type CAI1CommandLogin.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1CommandLogin

    public CAI1CommandLogin(com.io7m.cedarbridge.runtime.api.CBString fieldUserName, com.io7m.cedarbridge.runtime.api.CBString fieldPassword, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldMetadata)
    Creates an instance of a `CAI1CommandLogin` record class.
    Parameters:
      `fieldUserName` - the value for the `fieldUserName` record component
      `fieldPassword` - the value for the `fieldPassword` record component
      `fieldMetadata` - the value for the `fieldMetadata` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1CommandLogin $x) throws IOException
    Serialize a value of type CAI1CommandLogin.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1CommandLogin deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1CommandLogin.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1CommandLogin.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldUserName

    public com.io7m.cedarbridge.runtime.api.CBString fieldUserName()
    Returns the value of the `fieldUserName` record component.
    Returns:
      the value of the `fieldUserName` record component

  - ### fieldPassword

    public com.io7m.cedarbridge.runtime.api.CBString fieldPassword()
    Returns the value of the `fieldPassword` record component.
    Returns:
      the value of the `fieldPassword` record component

  - ### fieldMetadata

    public com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,com.io7m.cedarbridge.runtime.api.CBString> fieldMetadata()
    Returns the value of the `fieldMetadata` record component.
    Returns:
      the value of the `fieldMetadata` record component